Subject: Re: bug#55940: macOS: <ns-show-prefs> displayed as keybinding for \\[customize]

From: Po Lu <[email-masked]>
Date: Mon, 13 Jun 2022 20:30:42 +0800

Stefan Kangas <[email-masked]> writes:

> Severity: minor
>
> "<ns-show-prefs>" is displayed instead of "M-x customize" for the
> docstring command substitution \\[customize] on macOS (current master
> branch).  For example:
>
>     calendar-date-style is a variable defined in ‘calendar.el’.
>     [... snip ...]
>     Setting this variable directly does not take effect (if the
>     calendar package is already loaded).  Rather, use either
>     <ns-show-prefs> or the function ‘calendar-set-date-style’.
>
> I have no idea how to press the key "<ns-show-prefs>" - I don't think
> there is such a button?  There is also the keybinding "s-," which is
> slightly more useful (but not as useful as showing just "M-x
> customize", IMHO.)

I think ns-show-prefs means the "Preferences" item in the "Emacs" menu.
That is probably documented in the "Mac / GNUstep Events" node of the
Emacs manual, but if it isn't, I can correct that.